FELT(1fe)

NAME
felt - command line based Finite ELemenT engine

SYNOPSIS
felt [-help] [-version] [-debug] [-preview] [-summary] [-plot] [+table] [-transfer] [-orthonormal] [-eigen] [-renumber] [-matrices] [-graphics filename] [-nocpp] [-cpp filename] [-Dname[=value]] [-Uname] [-Idirectory] [filename]

DESCRIPTION
Felt is a command line based finite element engine which reads a felt(4fe) file and writes the results to standard output. If no filename is given then the standard input is used. Any syntactic or semantic errors are reported to standard error. A complete description of the mathematics can be found in the user's guide.

OPTIONS
Felt accepts the following options:

-version
    Write the current version number and exit.

-help
    Write a message describing valid command line options to standard error and exit.

-debug
    Write the processed file to standard output in the form of a valid input file.

-preview
    Write an ASCII rendering of the problem geometry.

-summary
    Write a material summary describing the total length, area, and volume of each material used to standard output.

-plot
    Include a time-displacement plot in the output of a transient analysis problem.

+table
    Do not output a table of times vs. displacements in the output of a transient analysis problem. Simple tabular output is the default.

-transfer
    Only compute transfer functions for spectral analysis (stop calculations before output spectra are computed).

-eigen
    Only perform the eigenvalue calculations (natural frequencies and mode shapes) in modal analysis.

-orthonormal
    Use orthonormal mode shapes when calculating modal matrices (normalize the eigenvectors such that the modal mass matrix is the identity matrix).

-renumber
    Make an attempt at optimally renumbering the nodes in order to minimize the storage requirements of the stiffness (and mass and damping) matrices. This option will invoke a GPS/Gibbs-King renumbering algorithm. For small problems the extra overhead of this algorithm is probably not worth the effort. For large problems (> 100 nodes or so) the savings in both memory and overall execution time can be quite significant however.

-matrices
    Print the global (stiffness, mass, damping) matrices that are appropriate to the analysis type for this problem.

-graphics filename
    Create filename as a graphics file in gnuplot(1) format for visualizing the structure. This option is used by xfelt(1fe).

-nocpp
    Do not use a preprocessor on the input file.

-cpp filename
    Use filename as a preprocessor on the input file. The default preprocessor is "/lib/cpp". Any preprocssor which understands the -D, -U, and -I options can be used as these options are passed to the preprocessor.

AUTHOR
Felt was developed by Jason I. Gobat (jgobat@mit.edu) and Darren C. Atkinson (atkinson@ucsd.edu).

SEE ALSO
corduroy(1fe), gnuplot(1), velvet(1fe), burlap(1fe), felt(4fe).